AgenciesUpdate agency
Agencies

Update agency

Partially update agency fields. Only include the fields you want to change.

curl -X PATCH "https://api.mythic-analytics.com/api/v1/agencies/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "email": "user@example.com",
  "phone": "+1-555-0123",
  "website": "example_string",
  "metadata": {}
}'
{
  "success": true,
  "data": {
    "id": "agc_7kH3nPqR",
    "name": "Digital Growth Partners",
    "email": "admin@dgp-agency.com",
    "phone": "+1-555-0123",
    "website": "example_string",
    "metadata": {},
    "client_count": 15,
    "created_at": "2024-02-10T14:00:00.000Z",
    "updated_at": "2024-06-01T09:15:00.000Z"
  }
}
PATCH
/agencies/{id}
PATCH
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Agency identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Agency identifier.

Responses

successboolean
dataobject